<div class="card">

  <div class="card-header d-flex justify-content-between">

    <h5 class="card-title mb-0">{{'ACCOUNT_DETAILS.CONTACT_LIST'|translate}}</h5>

    <app-card-toolbar [collapseTarget]="'contact-list-body'"></app-card-toolbar>

  </div>

  <div id="contact-list-body" class="collapse show">

    <div class="card-body p-2">

      <div class="row" *ngIf="contactsList && contactsList.length > 0">
        <ng-container *ngFor="let contact of contactsList">
          <div class="col-12 my-1">
            <div class="container">
              <div class="contact-item row">
                <h5 class="text-center col-3">{{contact?.descriptionContact}}</h5>
                <div class="contact-details col-3">
                  <i class="fa fa-briefcase mr-2"></i>
                  <span>{{contact?.role}}</span>
                </div>
                <div class="contact-details col-3">
                  <i class="fa fa-envelope mr-2"></i>
                  <span>{{contact?.email}}</span>
                </div>
                <div class="contact-details col-3">
                  <i class="fa fa-phone mr-2"></i>
                  <span>{{contact?.mobile}}</span>
                </div>
              </div>
            </div>
          </div>
        </ng-container>
      </div>

      <div *ngIf="!contactsList || contactsList.length === 0" class="alert alert-primary text-center mb-0" role="alert">
        <div class="iq-alert-icon text-center">
          <i class="ri-information-line"></i>
        </div>
        <div class="iq-alert-text">{{'FIELD.PLEASE.NO_DATA'|translate}}</div>
      </div>

    </div>

  </div>

</div>
